Package org.eclipse.ecf.core.sharedobject

## Class SharedObjectInitException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.core.runtime.CoreException
      - - org.eclipse.ecf.core.util.ECFException
        - - org.eclipse.ecf.core.sharedobject.SharedObjectInitException

All Implemented Interfaces:
  `Serializable`

    public class SharedObjectInitException
    extends ECFException

Exception thrown during calls to `ISharedObject.init(ISharedObjectConfig)`

See Also:
  `ISharedObject.init(ISharedObjectConfig)`, Serialized Form

### Constructor Summary

Constructors
`SharedObjectInitException()`
`SharedObjectInitException​(String arg0)`
`SharedObjectInitException​(String msg, Throwable cause)`
`SharedObjectInitException​(Throwable cause)`
`SharedObjectInitException​(org.eclipse.core.runtime.IStatus status)`

### Method Summary

### Methods inherited from class org.eclipse.core.runtime.CoreException

`getCause, getStatus, printStackTrace, printStackTrace, printStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SharedObjectInitException

    public SharedObjectInitException()

#### SharedObjectInitException

    public SharedObjectInitException​(org.eclipse.core.runtime.IStatus status)

#### SharedObjectInitException

    public SharedObjectInitException​(String arg0)

#### SharedObjectInitException

    public SharedObjectInitException​(String msg,
                                     Throwable cause)

#### SharedObjectInitException

    public SharedObjectInitException​(Throwable cause)